# POST /jimeng/submit/videos

**Method**: `POST`
**Endpoint**: `/jimeng/submit/videos`

Enum Values "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
prompt
string
Required
image_url
string
  // provider-specific example normalized for English documentation
Optional
duration
integer
Enum Values 5, 10
Required
aspect_ratio
string
Required
Enum Values "1:1", "21:9", "16:9", "9:16", "4:3", "3:4"
cfg_scale
number
0.5
Required
Example
{
"prompt"
:
"string"
,
"image_url"
:
"string"
,
"duration"
:
0
,
"aspect_ratio"
:
"string"
,
"cfg_scale"
:
0
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/jimeng/submit/videos' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "string",
    "image_url": "string",
    "duration": 0,
    "aspect_ratio": "string",
    "cfg_scale": 0
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": "success",
    "message": "",
    "data": "4596183399426" // Task ID
}
```
